Page MenuHomePhabricator

Create a global config switch to use as a feature flag for tainted references
Closed, ResolvedPublic

Description

Create a feature flag for tainted references

The flag should default to 'false'. It should be set to 'true' on Beta.
The flag should be a Wikibase repo setting, similar to what's described in https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/Wikibase/+/refs/heads/master/repo/config/Wikibase.example.php

Details

Related Gerrit Patches:

Event Timeline

noarave created this task.Sep 6 2019, 10:07 AM
noarave claimed this task.Sep 10 2019, 10:23 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptSep 10 2019, 10:23 AM

Change 535567 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[operations/mediawiki-config@master] Configure a feature flag for Wikibase Tainted References

https://gerrit.wikimedia.org/r/535567

I'm not sure why Phabricator is ignoring the other patch related to this task, but here it is:
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/535569

Change 535569 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Configure a feature flag for Wikibase Tainted References

https://gerrit.wikimedia.org/r/535569

Change 535567 merged by jenkins-bot:
[operations/mediawiki-config@master] TR: set WikibaseTaintedReferencesEnabled true on labs wikidatawiki

https://gerrit.wikimedia.org/r/535567

Mentioned in SAL (#wikimedia-operations) [2019-09-11T11:10:17Z] <ladsgroup@deploy1001> Synchronized wmf-config/Wikibase.php: SWAT: [[gerrit:535567|TR: set WikibaseTaintedReferencesEnabled true on labs wikidatawiki (T232191)]] (duration: 01m 03s)

WMDE-leszek closed this task as Resolved.Sep 23 2019, 11:16 AM